%define release_stamp 15.g343b706

%define api_ver 1.0
%define ver_major 1.18

%define _gst_libdir %_libdir/gstreamer-%api_ver

Name: gst-interpipe
Version: 1.1.8
Release: %release_stamp.elv.alt1

Summary: Gstreamer plug-in for communication between two independent pipelines.
Group: System/Libraries
License: LGPLv2+
Url: gerrit.elvees.com/lib/gst-interpipe

Source: %name-%release_stamp.tar.gz

Requires: gstreamer%api_ver >= %ver_major
Requires: gst-plugins-base%api_ver >= %ver_major

BuildRequires(pre): rpm-macros-meson rpm-build-gir
BuildRequires: meson
BuildRequires: gst-plugins%api_ver-devel >= %ver_major

%description
GstInterpipe is a Gstreamer plug-in that allows communication between two
independent pipelines. The plug-in consists of two elements:
 - interpipesink
 - interpipesrc
The concept behind the Interpipes project is to simplify the construction
of GStreamer applications, which often has the complexity of requiring
dynamic pipelines. It transforms the construction process from low level
pad probe manipulation to the higher level setting an element's parameter
value. Application developers don't get mired down in stalled pipelines due
to one branch of a complex pipeline changed state.

%prep
%setup -n %name

%build
%meson -Db_pie=false -Dstrip=false -Dexamples=disabled -Dtests=disabled \
    -Dtools=disabled -Ddoc=disabled -Dtarget=mcom03 -Denable-gtk-doc=false
%meson_build

%install
%meson_install

%files
%dir %_gst_libdir
%_gst_libdir/*.so
